Bug 7921 - Software error while placing order
Summary: Software error while placing order
Status: CLOSED FIXED
Alias: None
Product: Koha
Classification: Unclassified
Component: Acquisitions (show other bugs)
Version: 3.8
Hardware: All All
: P3 major (vote)
Assignee: Fridolin SOMERS
QA Contact: Jonathan Druart
URL:
Whiteboard:
Keywords:
Depends on:
Blocks:
 
Reported: 2012-04-07 12:47 UTC by shahas
Modified: 2013-05-23 06:24 UTC (History)
6 users (show)

See Also:
Change sponsored?: ---
Patch complexity: ---
Bot Control: ---
When did the bot last check this:
Who signed the patch off:
Text to go in the release notes:


Attachments
Proposed patch (1.77 KB, patch)
2012-10-31 13:29 UTC, Fridolin SOMERS
Details | Diff | Splinter Review
Bug 7921: Software error while placing order (1.82 KB, patch)
2012-11-09 02:01 UTC, Chris Cormack
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description shahas 2012-04-07 12:47:31 UTC
Hi,,

I am getting error while placing order,
"Software Error"

Is it required to create ACQ Framework,,I have been place the order without
creating ACQ framework(I didn't fill the records under 'item').

Also while receiving,, not asking for Barcode,,
So where we can give barcode.??
Comment 1 Fridolin SOMERS 2012-07-25 11:29:05 UTC
ACQ Framework should be used. But in actual version, the default framework is used instead and a message is displayed on acquisition pages.
Comment 2 Fridolin SOMERS 2012-08-06 12:47:11 UTC
(In reply to comment #1)
> ACQ Framework should be used. But in actual version, the default framework
> is used instead and a message is displayed on acquisition pages.

I mean, default framework is used if ACQ framework does not exist.
Comment 3 Fridolin SOMERS 2012-10-31 13:25:24 UTC
I confirm there can be a software error when adding a new order from external source or import.
The bug appeared when z3950NormalizeAuthor syspref is on.
Comment 4 Fridolin SOMERS 2012-10-31 13:29:31 UTC Comment hidden (obsolete)
Comment 5 Chris Cormack 2012-11-09 02:01:45 UTC
Created attachment 13335 [details] [review]
Bug 7921: Software error while placing order

Signed-off-by: Chris Cormack <chrisc@catalyst.net.nz>
Comment 6 Jonathan Druart 2012-11-09 13:01:05 UTC
QA Comment:

Looks good. We cannot add a framework with a framework_code = 0.

Not blocker: the modification in acqui/neworderempty.pl is useless.

Marked as Passed QA.
Comment 7 Jared Camins-Esakov 2012-11-10 01:24:40 UTC
This patch has been pushed to master.
Comment 8 Chris Cormack 2012-11-11 05:58:38 UTC
Pushed to 3.8.x, will be in 3.8.7
Comment 9 Paul Poulain 2012-11-12 13:45:36 UTC
Patch pushed to branch 3.10.x